LimeSurvey 3.0.1 compatibility?

Asked by Andre Santos on 2018-01-07

does queXS work the latest version of limesurvey (3.0.1) ?

Question information

Language:
English Edit question
Status:
Solved
For:
queXS Edit question
Assignee:
No assignee Edit question
Solved by:
Andre Santos
Solved:
2018-04-25
Last query:
2018-04-25
Last reply:
2018-02-20
Adam Zammit (adamzammit) said : #1

Hi Andre,

I haven't done extensive testing but there was no relevant change to the API in the 3.0 series so all should work fine. Let me know if you run into any problems and I'll get on to it.

Adam

Hi Andre,

how did your test go, lime v3 ? Anyone else with lime v3 ?

Tom

Andre Santos (andre-ars) said : #3

sorry tomislav, no i haven't.

there have been too many updates. I'm waiting for a more stable version of limesurvey.

We are now at version 3.4.3.. in less than a month. That's too many versions, too many bugs.

Let's wait a little longer and see if it *really* get's stable.

Berri Torre (berritorre) said : #4

While I can understand that you wait with running Limesurvey 3.x in a productive enviroment, I at least hope that you are testing and bug reporting the sh*t out of Limesurvey. I think this is the least we as a community can do. While I do not agree with the current philosophy of "stable" of Limesurvey, it will never really get stable if no one of the real users (not just some students doing one project with it) is testing it thoroughly and reports bugs. It is easy to complain about Limesurvey released too early, but I talked to some of the developers and they said that bug reports for betas and release candidates are unfortunately very slow. So I guess it is up to us to make LS stable as quickly as possible. The amount of versions shows that the developers are fixing bugs quickly.

Andre Santos (andre-ars) said : #5

Tested on limesurvey3.7.0+180418 (newest version at the date).

I get an error:

Incorrect response id: (request id: 1)

Andre Santos (andre-ars) said : #6

working fine with limesurvey 3.7.1!

I've tested most of it with no problems found with limesurvey 3.7.1

Ok to upgrade!

Using:

PHP 7.0
MariaDb 10
PHP-FPM